apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: "True"
  creationTimestamp: "2025-08-25T12:56:10Z"
  generation: 2
  name: migrate-mtv-2490-01
  namespace: openshift-mtv
  resourceVersion: "346405934"
  uid: 20192b23-241f-4011-b721-cc65717044cc
spec:
  archived: false
  map:
    network:
      name: migrate-mtv-2490-01-f4m6h
      namespace: openshift-mtv
    storage:
      name: migrate-mtv-2490-01-yd7a9
      namespace: openshift-mtv
  migrateSharedDisks: true
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 3af96e0d-8521-4f75-8cbc-8d69eeaef870
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 3af96e0d-8521-4f75-8cbc-8d69eeaef870
  pvcNameTemplateUseGenerateName: true
  skipGuestConversion: false
  targetNamespace: infra-vms
  useCompatibilityMode: true
  vms:
  - id: ff82ed36-fba7-413c-b97e-f7b632a0e53a
    name: mtvtest-fedora
    namespace: test-vms
  warm: false
status:
  conditions:
  - category: Required
    lastTransitionTime: "2025-08-25T12:56:11Z"
    message: The migration plan is ready.
    status: "True"
    type: Ready
  - category: Advisory
    durable: true
    lastTransitionTime: "2025-08-25T13:55:03Z"
    message: The plan execution has SUCCEEDED.
    status: "True"
    type: Succeeded
  migration:
    completed: "2025-08-25T13:55:03Z"
    history:
    - conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-08-25T13:55:03Z"
        message: The plan execution has SUCCEEDED.
        status: "True"
        type: Succeeded
      map:
        network:
          generation: 1
          name: migrate-mtv-2490-01-f4m6h
          namespace: openshift-mtv
          uid: a5aa6b36-46af-4852-9102-298d55050486
        storage:
          generation: 1
          name: migrate-mtv-2490-01-yd7a9
          namespace: openshift-mtv
          uid: 24a13008-b881-4b75-a1e3-b2c217cb24c1
      migration:
        generation: 1
        name: migrate-mtv-2490-01-l97c6
        namespace: openshift-mtv
        uid: 4b7ec4fd-1165-497e-891f-6352b919ad85
      plan:
        generation: 2
        name: migrate-mtv-2490-01
        namespace: openshift-mtv
        uid: 20192b23-241f-4011-b721-cc65717044cc
      provider:
        destination:
          generation: 1
          name: host
          namespace: openshift-mtv
          uid: 3af96e0d-8521-4f75-8cbc-8d69eeaef870
        source:
          generation: 1
          name: host
          namespace: openshift-mtv
          uid: 3af96e0d-8521-4f75-8cbc-8d69eeaef870
    started: "2025-08-25T13:46:21Z"
    vms:
    - completed: "2025-08-25T13:55:03Z"
      conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-08-25T13:55:03Z"
        message: The VM migration has SUCCEEDED.
        status: "True"
        type: Succeeded
      id: ff82ed36-fba7-413c-b97e-f7b632a0e53a
      luks: {}
      name: mtvtest-fedora
      namespace: test-vms
      phase: Completed
      pipeline:
      - completed: "2025-08-25T13:46:39Z"
        description: Initialize migration.
        name: Initialize
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2025-08-25T13:46:22Z"
      - annotations:
          unit: MB
        completed: "2025-08-25T13:55:01Z"
        description: Transfer disks.
        name: DiskTransfer
        phase: Completed
        progress:
          completed: 30720
          total: 30720
        started: "2025-08-25T13:46:42Z"
        tasks:
        - annotations:
            unit: MB
          completed: "2025-08-25T13:55:01Z"
          name: test-vms/mtvtest-fedora-volume
          phase: Completed
          progress:
            completed: 30720
            total: 30720
          reason: Transfer completed.
          started: "2025-08-25T13:47:10Z"
      - completed: "2025-08-25T13:55:03Z"
        description: Create VM.
        name: VirtualMachineCreation
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2025-08-25T13:55:03Z"
      restorePowerState: "On"
      started: "2025-08-25T13:46:22Z"
  observedGeneration: 2
